/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.pool.thread;

import org.jfox.pool.ObjectPool;

/**
 * a thread test wrap the Threadable tast
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

class ThreadTask {
    private Threadable task = null;
    private ObjectPool pool = null;

    public ThreadTask(Threadable task, ObjectPool pool) {
        this.task = task;
        this.pool = pool;
    }

    Threadable getTask() {
        return task;
    }

    public ObjectPool getPool() {
        return pool;
    }
}
